## purple-mm-sms 0.1.7

=== Makefile ===

CC = gcc
LIBS = purple mm-glib
PKG_CONFIG = pkg-config

CFLAGS += $(shell $(PKG_CONFIG) --cflags $(LIBS))
CFLAGS += -fPIC -DPIC
LDLIBS += $(shell $(PKG_CONFIG) --libs $(LIBS))

DIR_PERM  = 0755
FILE_PERM = 0644

PLUGIN_DIR_PURPLE	   = $(shell $(PKG_CONFIG) --variable=plugindir purple)
DATA_ROOT_DIR_PURPLE = $(shell $(PKG_CONFIG) --variable=datarootdir purple)

TARGET = mm-sms.so

COMPILE.c = $(CC) $(CFLAGS) $(CPPFLAGS) $(TARGET_ARCH) -c

CFLAGS += -Wall -g -O0 #-Werror
CFLAGS += -DPURPLE_PLUGINS

OBJECTS = mm-sms.o

all: $(TARGET)

clean:
	rm -f $(OBJECTS) $(OBJECTS:.o=.d) $(TARGET)

install:
	mkdir   -p $(DESTDIR)$(PLUGIN_DIR_PURPLE)
	install -m $(FILE_PERM) $(TARGET) $(DESTDIR)$(PLUGIN_DIR_PURPLE)
	for i in 16 22 48; do \
	    mkdir   -p $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/$$i; \
	    install -m $(FILE_PERM) icons/mm-sms-$${i}px.png $(DESTDIR)$(DATA_ROOT_DIR_PURPLE)/pixmaps/pidgin/protocols/$$i/mm-sms.png; \
	done

$(TARGET): $(OBJECTS)
	$(LINK.o) -shared $^ $(LOADLIBES) $(LDLIBS) -o $@

%.o: %.c
	$(COMPILE.c) $(OUTPUT_OPTION) $<

-include $(OBJECTS:.o)

=== debian/changelog ===
purple-mm-sms (0.1.7-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:19:50 +1100

purple-mm-sms (0.1.7-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:45:06 +0000

purple-mm-sms (0.1.7-1) unstable; urgency=medium

  * New upstream version 0.1.7

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 03 Aug 2020 16:22:13 +0200

purple-mm-sms (0.1.6-1) unstable; urgency=medium

  [ Mohammed Sadiq ]
  * debian: Add gbp.conf

  [ Arnaud Ferraris ]
  * New upstream version 0.1.6
  * d/control: switch maintainer to team address
  * d/control: bump debhelper-compat version
  * debian: add upstream metadata file

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 23 Jul 2020 12:30:59 +0200

purple-mm-sms (0.1.4-1) unstable; urgency=medium

  * Initial Debian release (Closes: #960417)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 12 May 2020 13:32:08 +0200

=== debian/control ===
Source: purple-mm-sms
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libpurple-dev,
 modemmanager-dev,
 libmm-glib-dev,
Standards-Version: 4.5.0
Homepage: https://source.puri.sm/Librem5/purple-mm-sms
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/purple-mm-sms
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/purple-mm-sms.git
Rules-Requires-Root: no

Package: purple-mm-sms
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 modemmanager,
Description: libpurple plugin for SMS
 Plugin for libpurple which adds the ability to communicate via
 SMS using ModemManager.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/purple-mm-sms.*\.tar\.gz/purple-mm-sms-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/purple-mm-sms/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*
